Update risk rules
curl --request PUT \
--url https://api.useblueprints.ai/api/risk-rules \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"maxOrderSize": 123,
"maxDailyLoss": 123,
"maxOpenPositions": 123,
"maxOrdersPerMinute": 123,
"cooldownAfterLossSec": 123,
"requireApprovalAbove": 123
}
'const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
maxOrderSize: 123,
maxDailyLoss: 123,
maxOpenPositions: 123,
maxOrdersPerMinute: 123,
cooldownAfterLossSec: 123,
requireApprovalAbove: 123
})
};
fetch('https://api.useblueprints.ai/api/risk-rules', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.useblueprints.ai/api/risk-rules"
payload = {
"maxOrderSize": 123,
"maxDailyLoss": 123,
"maxOpenPositions": 123,
"maxOrdersPerMinute": 123,
"cooldownAfterLossSec": 123,
"requireApprovalAbove": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text){
"maxOrderSize": 123,
"maxDailyLoss": 123,
"maxOpenPositions": 123,
"maxOrdersPerMinute": 123,
"cooldownAfterLossSec": 123,
"requireApprovalAbove": 123
}{
"error": {
"message": "<string>"
},
"message": "<string>"
}{
"error": {
"message": "<string>"
},
"message": "<string>"
}Risk rules
Update risk rules
Updates account-level safeguards such as order size, daily loss, open position, order-rate, cooldown, and approval thresholds. API keys need the risk:write scope.
PUT
/
api
/
risk-rules
Update risk rules
curl --request PUT \
--url https://api.useblueprints.ai/api/risk-rules \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"maxOrderSize": 123,
"maxDailyLoss": 123,
"maxOpenPositions": 123,
"maxOrdersPerMinute": 123,
"cooldownAfterLossSec": 123,
"requireApprovalAbove": 123
}
'const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
maxOrderSize: 123,
maxDailyLoss: 123,
maxOpenPositions: 123,
maxOrdersPerMinute: 123,
cooldownAfterLossSec: 123,
requireApprovalAbove: 123
})
};
fetch('https://api.useblueprints.ai/api/risk-rules', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.useblueprints.ai/api/risk-rules"
payload = {
"maxOrderSize": 123,
"maxDailyLoss": 123,
"maxOpenPositions": 123,
"maxOrdersPerMinute": 123,
"cooldownAfterLossSec": 123,
"requireApprovalAbove": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text){
"maxOrderSize": 123,
"maxDailyLoss": 123,
"maxOpenPositions": 123,
"maxOrdersPerMinute": 123,
"cooldownAfterLossSec": 123,
"requireApprovalAbove": 123
}{
"error": {
"message": "<string>"
},
"message": "<string>"
}{
"error": {
"message": "<string>"
},
"message": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json